
/* Xenix System V */

#include <fcntl.h>
#define BUPDATE O_RDWR
#define BCREATE 0666
#define C255	-1
#define ct_NULL	(char *) 0
#define remove	unlink

/*
 * MAKE SURE THAT ct_NULL is properly sized.  If the compiler does not
 * supply a value, then ct_NULL will be used for zero data pointers. In
 * 32 bit systems, ct_NULL should usually be defined as 0L. We use the
 * (char *) 0 approach so that ct_NULL will be correct for different
 * memory models on the 8086/80286/80386 family of computers. Run
 * CTTEST to check out your system set up.
 *
 * MAKE SURE THAT cpybuf IS defined CORRECTLY: cpybuf does a straight n byte 
 * copy. It does not stop on NULL bytes.
 * 
 * You may eliminate the following cpybuf #define. c-tree will then 
 * automatically use a C source code version of cpybuf found in CTCLB2.C.
 */

#define cpybuf(dest_ptr,source_ptr,n) memcpy(dest_ptr,source_ptr,n)

/* 
 * Change to PERC_D (on 16-bit machines) or PERC_HD (on 32 bit machines)
 * in ctoptn.h.
 *
 * If there any questions, compile and execute CTTEST.C.
 *
 * Note that there is a shell script (MOVFILES) which will move the
 * source code modules into your XENIX system.
 */
