# Make library for c-tree

COMPILER=cc -M$(CTMEM)e
D=$(CTMEM)srv
P=-I ./
LN=ctslib
SLIB=/lib/$(CTMEML)lib$(LN).a
EXEC=/usr/bin

# server

$(EXEC)/ctsrvr: $(SLIB) $(D)/ctsrvr.o $(D)/ctsrve.o \
		$(D)/ctsmsg.o
	$(COMPILER) -o $(EXEC)/ctsrvr $(D)/ctsrvr.o $(D)/ctsrve.o $(D)/ctsmsg.o -l$(LN) -lx
	> $(EXEC)/CTSQ1
	> $(EXEC)/CTSQ2

$(D)/ctsrvr.o: ctsrvr.c
	$(COMPILER) -c $(P) ctsrvr.c
	mv ctsrvr.o $(D)

$(D)/ctsrve.o: ctsrve.c
	$(COMPILER) -c $(P) ctsrve.c
	mv ctsrve.o $(D)

$(D)/ctsmsg.o: ctsmsg.c
	$(COMPILER) -c $(P) ctsmsg.c
	mv ctsmsg.o $(D)

# library

$(SLIB):   $(D)/ctvrc2.o \
			$(D)/ctdelk.o $(D)/ctaddk.o $(D)/ctupdt.o \
			$(D)/ctsrch.o $(D)/ctdatf.o $(D)/ctkeyf.o \
			$(D)/ctkrnl.o $(D)/ctcomp.o $(D)/ctvrcu.o \
			$(D)/ctinit.o $(D)/ctdelf.o $(D)/ctclb2.o $(D)/ctfrac.o \
			$(D)/ctslok.o $(D)/ctclib.o $(D)/ctclb3.o
	sh ./trm $(SLIB)
	ar q $(SLIB) $(D)/ctvrc2.o $(D)/ctdelk.o $(D)/ctaddk.o $(D)/ctupdt.o $(D)/ctsrch.o
	ar q $(SLIB) $(D)/ctfrac.o $(D)/ctdatf.o $(D)/ctkeyf.o $(D)/ctkrnl.o $(D)/ctcomp.o $(D)/ctvrcu.o
	ar q $(SLIB) $(D)/ctinit.o $(D)/ctdelf.o $(D)/ctclb2.o $(D)/ctslok.o $(D)/ctclib.o $(D)/ctclb3.o
	ranlib $(SLIB)

# library modules

$(D)/ctvrc2.o: ctvrc2.c
	$(COMPILER) -c $(P) ctvrc2.c
	mv ctvrc2.o $(D)

$(D)/ctdelk.o: ctdelk.c
	$(COMPILER) -c $(P) ctdelk.c
	mv ctdelk.o $(D)

$(D)/ctaddk.o: ctaddk.c
	$(COMPILER) -c $(P) ctaddk.c
	mv ctaddk.o $(D)

$(D)/ctupdt.o: ctupdt.c
	$(COMPILER) -c $(P) ctupdt.c
	mv ctupdt.o $(D)

$(D)/ctsrch.o: ctsrch.c
	$(COMPILER) -c $(P) ctsrch.c
	mv ctsrch.o $(D)

$(D)/ctdatf.o: ctdatf.c
	$(COMPILER) -c $(P) ctdatf.c
	mv ctdatf.o $(D)

$(D)/ctkeyf.o: ctkeyf.c
	$(COMPILER) -c $(P) ctkeyf.c
	mv ctkeyf.o $(D)

$(D)/ctkrnl.o: ctkrnl.c
	$(COMPILER) -c $(P) ctkrnl.c
	mv ctkrnl.o $(D)

$(D)/ctcomp.o: ctcomp.c
	$(COMPILER) -c $(P) ctcomp.c
	mv ctcomp.o $(D)

$(D)/ctvrcu.o: ctvrcu.c
	$(COMPILER) -c $(P) ctvrcu.c
	mv ctvrcu.o $(D)

$(D)/ctinit.o: ctinit.c
	$(COMPILER) -c $(P) ctinit.c
	mv ctinit.o $(D)

$(D)/ctdelf.o: ctdelf.c
	$(COMPILER) -c $(P) ctdelf.c
	mv ctdelf.o $(D)

$(D)/ctfrac.o: ctfrac.c
	$(COMPILER) -c $(P) ctfrac.c
	mv ctfrac.o $(D)

$(D)/ctclb2.o: ctclb2.c
	$(COMPILER) -c $(P) ctclb2.c
	mv ctclb2.o $(D)

$(D)/ctclb3.o: ctclb3.c
	$(COMPILER) -c $(P) ctclb3.c
	mv ctclb3.o $(D)

$(D)/ctclib.o: ctclib.c
	$(COMPILER) -c $(P) ctclib.c
	mv ctclib.o $(D)

$(D)/ctslok.o: ctslok.c
	$(COMPILER) -c $(P) ctslok.c
	mv ctslok.o $(D)

